// (C) 2007-2024 GoodData Corporation
/**
 * @internal
 */
export function updateConfigWithSettings(config, settings) {
    if (!settings) {
        return config;
    }
    return {
        ...(config ? config : {}),
        ...(settings.disableKpiDashboardHeadlineUnderline ? { disableDrillUnderline: true } : {}),
        ...(settings.enableKDWidgetCustomHeight ? { enableCompactSize: true } : {}),
        ...(config?.enableJoinedAttributeAxisName === undefined
            ? {
                enableJoinedAttributeAxisName: settings.enableAxisNameViewByTwoAttributes,
            }
            : {}),
        ...(settings.enableChartsSorting ? { enableChartSorting: true } : {}),
        ...(settings.enableReversedStacking ? { enableReversedStacking: true } : {}),
        ...(settings.enableSeparateTotalLabels ? { enableSeparateTotalLabels: true } : {}),
        ...(settings.enableKDCrossFiltering ? { useGenericInteractionTooltip: true } : {}),
        ...(settings.enableCrossFilteringAliasTitles ? { enableAliasAttributeLabel: true } : {}),
        ...(settings.separators ? { separators: settings.separators } : {}),
        ...(settings.enableVisualizationFineTuning ? { enableVisualizationFineTuning: true } : {}),
    };
}
//# sourceMappingURL=chartOptionsForSettings.js.map